> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get the case document request

GET https://api.letsdeel.com/rest/immigration/cases/{case_id}/document-request

Retrieves the compliance document request of a case addressed to the caller: the worker for a worker token, the client for an organization token. Use it to find which document to upload.

 **Token scopes**: `immigration:read`, `worker:read`

 **Beta**: this version requires the `X-Beta: true` request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2027-02-10.

Reference: https://developer.deel.com/api/reference/endpoints/immigration/get-case-document-request-v-2026-11-10

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `case_id` (string, required) — The unique identifier of the case.

### Headers

- `X-Beta` (enum, required, default: true) — Opts in to the beta version of this endpoint. Must be `true`.
  - Allowed values: `true`

## Response

### 200

Successful response with the document request.

- `data` (ImmigrationCasesCaseIdDocumentRequestGetResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of ImmigrationCasesCaseIdDocumentRequestGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `errors` (list of ImmigrationCasesCaseIdDocumentRequestGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### ImmigrationCasesCaseIdDocumentRequestGetResponsesContentApplicationJsonSchemaData

- `id` (string, required) — The unique identifier of the document request.
- `name` (string, required) — What document is requested.
- `status` (enum, required) — Progress of the request.
  - Allowed values: `PENDING`, `IN_REVIEW`, `REJECTED`, `COMPLETED`, `FAILED`, `PROCESSING`, `ARCHIVED`
- `document` (ImmigrationCasesCaseIdDocumentRequestGetResponsesContentApplicationJsonSchemaDataDocument, required, nullable) — The document uploaded for the request. Null while none is uploaded.
- `created_at` (string, required) — UTC timestamp when the request was created.
- `updated_at` (string, required) — UTC timestamp when the request was last updated.
- `description` (string, required) — Instructions for the document, as plain text.
- `previous_rejected_document` (ImmigrationCasesCaseIdDocumentRequestGetResponsesContentApplicationJsonSchemaDataPreviousRejectedDocument, required, nullable) — The document rejected before this request was opened again.
- `immigration_document_requirement_id` (string, required, nullable) — The immigration document requirement the request fulfils.

### ImmigrationCasesCaseIdDocumentRequestGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — The error code.
- `message` (string, optional) — Human-readable explanation of the error.

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### ImmigrationCasesCaseIdDocumentRequestGetResponsesContentApplicationJsonSchemaDataDocument

The document uploaded for the request. Null while none is uploaded.

- `id` (string, required) — The unique identifier of the document.
- `name` (string, required) — Name of the document.
- `status` (enum, required) — Status of the document.
  - Allowed values: `IN_REVIEW`, `APPROVED`, `REJECTED`
- `expiration_date` (string, required, nullable) — When the document expires.

### ImmigrationCasesCaseIdDocumentRequestGetResponsesContentApplicationJsonSchemaDataPreviousRejectedDocument

The document rejected before this request was opened again.

- `id` (string, required, nullable) — The unique identifier of the rejected document.
- `status` (enum, required) — Status of the rejected request.
  - Allowed values: `PENDING`, `IN_REVIEW`, `REJECTED`, `COMPLETED`, `FAILED`, `PROCESSING`, `ARCHIVED`
- `rejection_note` (string, required, nullable) — Details on the rejection.
- `rejection_reason` (string, required, nullable) — Why the document was rejected.

## Examples

**Response**

```json
{
  "data": {
    "id": "3f2a1b4c-5d6e-4f70-8a9b-0c1d2e3f4a5b",
    "name": "Right to work document",
    "status": "PENDING",
    "document": {
      "id": "8b9c0d1e-2f3a-4b4c-9d5e-6f7a8b9c0d1e",
      "name": "passport.pdf",
      "status": "IN_REVIEW",
      "expiration_date": "2028-05-31"
    },
    "created_at": "2026-10-13T12:42:31Z",
    "updated_at": "2026-10-14T08:00:00Z",
    "description": "Upload a valid passport or residence permit.",
    "previous_rejected_document": {
      "id": "9c0d1e2f-3a4b-4c5d-8e6f-7a8b9c0d1e2f",
      "status": "REJECTED",
      "rejection_note": "The passport expired in 2025.",
      "rejection_reason": "Expired document"
    },
    "immigration_document_requirement_id": "7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/immigration/cases/8e4a849f-10e0-4052-8b58-ca75d9fc0e88/document-request"

headers = {
    "X-Beta": "true",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/immigration/cases/8e4a849f-10e0-4052-8b58-ca75d9fc0e88/document-request';
const options = {method: 'GET', headers: {'X-Beta': 'true', Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/immigration/cases/8e4a849f-10e0-4052-8b58-ca75d9fc0e88/document-request"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Beta", "true")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/immigration/cases/8e4a849f-10e0-4052-8b58-ca75d9fc0e88/document-request")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Beta"] = 'true'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/immigration/cases/8e4a849f-10e0-4052-8b58-ca75d9fc0e88/document-request")
  .header("X-Beta", "true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/immigration/cases/8e4a849f-10e0-4052-8b58-ca75d9fc0e88/document-request', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Beta' => 'true',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/immigration/cases/8e4a849f-10e0-4052-8b58-ca75d9fc0e88/document-request");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Beta", "true");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Beta": "true",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/immigration/cases/8e4a849f-10e0-4052-8b58-ca75d9fc0e88/document-request")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```